' NOTA: puede usar el comando "Cambiar nombre" del menú contextual para cambiar el nombre de clase "Service1" en el código, en svc y en el archivo de configuración.
Public Class ServWebWCFConverTemps
  Implements IServWebWCFConverTemps

  Public Function ConvCentAFahr(gCent As Double) As Double _
  Implements IServWebWCFConverTemps.ConvCentAFahr
    Dim grados As Double = Math.Round(9.0 / 5.0 * gCent + 32.0, 2)
    Return grados
  End Function

  Public Function ConvFahrACent(gFahr As Double) As Double _
  Implements IServWebWCFConverTemps.ConvFahrACent
    Dim grados As Double = Math.Round(((gFahr - 32.0) * 5.0) / 9.0, 2)
    Return grados
  End Function

  Public Function ResultadoDetallado(detalle As Detalles) As Detalles _
  Implements IServWebWCFConverTemps.ResultadoDetallado
    If detalle Is Nothing Then
      Throw New ArgumentNullException("detalle")
    End If
    If detalle.SonCentigrados Then
      detalle.Literal = ConvCentAFahr(detalle.Grados) & " grados fahrenheit."
    Else
      detalle.Literal = ConvFahrACent(detalle.Grados) & " grados centígrados."
    End If
    Return detalle
  End Function
End Class
